# Interface methods for submodule: DiscreteGaussianDerivativeImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: DiscreteGaussianDerivativeImageFilter
class DiscreteGaussianDerivativeImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetOrder(self, _arg: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetOrder(self, v: int) -> None:
		""""""
		...

	def GetOrder(self) -> Sequence[int]:
		""""""
		...

	@overload
	def SetVariance(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetVariance(self, v: float) -> None:
		""""""
		...

	def GetVariance(self) -> Sequence[float]:
		""""""
		...

	@overload
	def SetMaximumError(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetMaximumError(self, v: float) -> None:
		""""""
		...

	def GetMaximumError(self) -> Sequence[float]:
		""""""
		...

	def GetMaximumKernelWidth(self) -> int:
		""""""
		...

	def SetMaximumKernelWidth(self, _arg: int) -> None:
		""""""
		...

	def SetInternalNumberOfStreamDivisions(self, _arg: int) -> None:
		""""""
		...

	def GetInternalNumberOfStreamDivisions(self) -> int:
		""""""
		...

	def SetUseImageSpacing(self, _arg: bool) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

	def UseImageSpacingOn(self) -> None:
		""""""
		...

	def UseImageSpacingOff(self) -> None:
		""""""
		...

	def SetNormalizeAcrossScale(self, _arg: bool) -> None:
		""""""
		...

	def GetNormalizeAcrossScale(self) -> bool:
		""""""
		...

	def NormalizeAcrossScaleOn(self) -> None:
		""""""
		...

	def NormalizeAcrossScaleOff(self) -> None:
		""""""
		...

